=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Without NDEBUG, the log is flooded with debug messages that cannot be
# disabled.
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG

%:
	dh $@

# Install prefix has to be set to / (instead of /usr), otherwise most of the
# paths are prefixed with /usr (e.g. /usr/etc/arpon.conf)
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/
