=== debian/watch ===
Version: 5
Dversion-Mangle: auto
Repacksuffix: +dfsg
Source: https://sf.net/@PACKAGE@/
Matching-Pattern: ArpON@ANY_VERSION@@ARCHIVE_EXT@
